# Download

# Shorewall Download

Tom Eastep
Copyright © 2001-2005 Thomas M. Eastep

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover, and with no Back-Cover Texts. A copy of the license is included in the section entitled “GNU Free Documentation License”.

2005-03-16

I strongly urge you to read and print a copy of the Shorewall QuickStart Guide for the configuration that most closely matches your own.

The entire set of Shorewall documentation is available in PDF format at:

ftp://slovakia.shorewall.net/mirror/shorewall/pdf/
http://slovakia.shorewall.net/pub/shorewall/pdf/
rsync://slovakia.shorewall.net/shorewall/pdf/

The documentation in both XML and HTML formats is also available for download from the Download Sites listed in the table below.

NOTICE: There are two current Shorewall Release Series:

- The STABLE release series is 2.2. Choose this release if you value stability and good documentation.
- The DEVELOPMENT release series is 2.3. Choose this release if you want the latest and greatest and are willing to help test it.

For additional information, see this article about the Shorewall Release Model.

Once you've printed the appropriate QuickStart Guide, download one of the modules:

- Simon Matter provides RPMs taylored for Redhat and Fedora. You can download them from his site.
- Jack Coates provides RPMs taylored for Mandrake. You can download them from his site.
- Marc Zonzon provides a package for OpenWRT (Open firmware for Linksys® WRT54G). You can download it from his site.
- If you run a SuSE, Linux PPC, Trustix or TurboLinux distribution with a 2.4 or 2.6 kernel, you can use the standard RPM version (note: the RPM should also work with other distributions that store init scripts in /etc/init.d and that include chkconfig or insserv). If you find that it works in other cases, let me know so that I can mention them here (Note: the standard RPM is known to work on Redhat, Fedora and Mandrake with issues ranging from trivial (Redhat and Fedora) to moderate (Mandrake)). See the Installation Instructions if you have problems installing the RPM.
- If you are running LEAF Bering or Bering uClibc, download the .lrp file
  Note: Beginning with the 2.1 Development release, the .lrp file is named shorewall-lrp-version.tgz (e.g., shorewall-lrp-2.1.0.tgz). Simply rename this file to shorwall.lrp when you move it to your LEAF system.
- If you run Debian and would like a .deb package, Shorewall is included in both the Debian Testing Branch and the Debian Unstable Branch.
- Otherwise, download the shorewall module (.tgz)

You will probably also want to download the HTML version of the documentation for easy reference.

Beginning with Shorewall 2.2.0, you will find a file named known_problems.txt in the download directory. This file lists the known problems with that version of Shorewall. If corrections are available, they will be listed in the known problems and you can download them from the 'errata' subdirectory.

Example:

ftp> cd pub/shorewall/2.2/shorewall-2.2.0
250 OK. Current directory is /pub/shorewall/2.2/shorewall-2.2.0
ftp> ls
227 Entering Passive Mode (206,124,146,177,35,91)
150 Accepted data connection
drwxr-sr-x 3 0 0 4096 Feb 1 09:52 .
drwxr-sr-x 3 0 0 4096 Jan 28 14:28 ..
-rw-r--r-- 1 0 0 500 Jan 28 14:27 2.2.0.md5sums
drwxr-sr-x 2 0 0 4096 Feb 1 09:51 errata <=== (1)
-rw-r--r-- 1 0 0 156 Feb 1 09:52 known_problems.txt <=== (2)
-rw-r--r-- 1 0 0 16059 Jan 24 16:13 patch-2.2.0
-rwxr-xr-x 1 0 0 22963 Jan 24 16:10 releasenotes.txt
-rw-r--r-- 1 0 0 100232 Jan 25 15:58 shorewall-2.2.0-1.noarch.rpm
-rw-r--r-- 1 0 0 122161 Jan 25 15:58 shorewall-2.2.0.tgz
-rw-r--r-- 1 0 0 2534077 Jan 28 13:29 shorewall-docs-html-2.2.0.tgz
-rw-r--r-- 1 0 0 4481205 Jan 28 13:29 shorewall-docs-xml-2.2.0.tgz
-rw-r--r-- 1 0 0 93905 Jan 25 15:58 shorewall-lrp-2.2.0.tgz
226-Options: -a -l
226 13 matches total
ftp>

(1) Directory containing updates. The updates/LRP directory contains those updates that apply to the LRP package.
(2) List of known problems, workarounds and updates..

Download Sites:

Redhat and Fedora RPMS provided by Simon Matter: http://www.invoca.ch/pub/packages/shorewall/
Mandrake RPMS provided by Jack Coates: http://www.monkeynoodle.org/tmp
OpenWRT package provided by Marc Zonzon: http://www.iut-lannion.fr/ZONZON/memos_index.php?part=Network&section=WRTMemo&subsec=shorewall
Use the sites below to download the tarball, the documentation, the Leaf/Bering package and the standard RPM for (Suse, Power PPC, Trustix and TurboLinux).

> SERVER LOCATION | DOMAIN | HTTP | FTP
> Slovak Republic | Shorewall.net | Browse | Browse
> San Jose, California, USA | Shorewall.net | Browse | Browse
> Boston, Mass., USA | viisage.com | Browse | N/A
> Austin Texas, USA | shorewall.net | Browse | Browse
> Plano Texas, USA | Infohiiway.com | Browse | Browse
> France | Shorewall.net | Browse | Browse
> Taiwan | Greshko.com | Browse | Browse
> Argentina | Shorewall.net | Browse | Browse
> Brazil | securityopensource.org.br | Browse | N/A
> Sourceforge - California, USA (Incomplete) | Sourceforge.net | Browse | N/A
> Shoreline, Washington, USA | Shorewall.net | Browse | Browse

CVS:

> The CVS repository at cvs.shorewall.net contains the latest snapshots of the each Shorewall component. There's no guarantee that what you find there will work at all.

> The CVS repository also can be used to retreive the latest released versions. Here is a shell script that allows you to generate Shorewall packages from the current contents of the CVS repository (it is the same script that I use to build Shorewall releases).